
Foreman - Feature #13576

Support for Seperate "console IP and port settings" in resulting libvirt host .XML files that are

created
Description

Basically, I run into a scenario where we run all of our libvirt consoles off of a seperate private network.  And I'd like it if forreman

could support setting a console IP/Port feature for libvirt guests, instead of defaulting to port -1 and console IP 0.0.0.0.

Doing this via the Libvirt API would be fairly uncomplicated, and allow for greater flexibility in creation of Libvirt guests.  OR

optionally, allow for direct editing of the resulting XML data via the foreman Libvirt plugin.

History

#1 - 02/05/2016 08:15 AM - Dominic Cleal

- Category set to Compute resources - libvirt

I should note that the IP (but not port) can be changed under Administer > Settings > Provisioning > libvirt_default_console_address.

#2 - 02/05/2016 08:24 AM - J LP

Dominic Cleal wrote:

I should note that the IP (but not port) can be changed under Administer > Settings > Provisioning > libvirt_default_console_address.

 Wouldn't that still change it to a static value that is applied across all created vm's?  I'm needing to set a different IP address for each VM guest's

console.

#3 - 02/05/2016 08:29 AM - Dominic Cleal

Yep, correct.

#4 - 02/19/2016 10:01 AM - J LP

Also if possible allow setting/allowing <targetdev> parameter to be modified via foreman:

Example from a modified XML file after foreman generates is via Qemu/libvirt:

</controller>

<interface type='bridge'>

<mac address='00:00:00:71:29:41'/>

<source bridge='bridge2000'/>

<target dev='v2000-0_0005'/>  <----- This bit is importatn

<model type='virtio'/>

<address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/
